Convertire tra DWire e BSpline

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Draft WireToBSpline and the translation is 100% complete.

Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎română • ‎русский • ‎svenska • ‎Türkçe
Arrow-left.svg Draft Edit Improved.svg Modifica evoluta Pagina precedente:
Pagina successiva: Aggiungi punto Draft AddPoint.svg Arrow-right.svg

Draft WireToBSpline.svg Polilinea in B-spline

Posizione nel menu
Draft → Polilinea in B-spline
Ambiente
Draft, Architettura
Avvio veloce
Nessuno
Introdotto nella versione
-
Vedere anche
Polilinea, B-spline


Descrizione

Questo strumento converte i segmenti di una linea spezzata, qui definita DWire, in curve di tipo B-spline, e viceversa.

Draft Wire2BSpline example.jpg

Conversione di una polilinea in una B-Spline e di una B-spline chiusa in un contorno chiuso


Utilizzo

  1. Selezionare una linea Wire o una BSpline. Lo strumento è disabilitato se nessun oggetto è selezionato.
  2. Premere il pulsante Draft WireToBSpline.svg Da Wire a BSpline

Crea un nuovo oggetto; l'oggetto originale non viene modificato.

Note: se si usa un contorno chiuso con spigoli vivi per creare una spline, il nuovo oggetto potrebbe avere segmenti di curva autointersecanti e potrebbe non essere visibile nella vista 3D. In questo caso, impostare manualmente DATAMake Face su False per vedere la nuova forma, o impostare DATAClosed su False per creare una forma aperta.

Opzioni

Non ci sono opzioni per questo strumento. O funziona con l'oggetto selezionato o non funziona.

Script

Vedere anche: Draft API e Nozioni di base sugli script di FreeCAD.

Per lo strumento WireToBSpline non è disponibile un'interfaccia di programmazione; tuttavia, creare un nuovo oggetto dai punti di un altro è semplice.

L'attributo Points di un oggetto è una lista con i punti che comprendono quell'oggetto; questo elenco può essere passato alle funzioni che costruiscono la geometria. Ogni punto è definito dal suo FreeCAD.Vector, con le unità in millimetri.

Esempio:

import FreeCAD, Draft

# Make a spline from the points of a wire
p1 = FreeCAD.Vector(1000, 1000, 0)
p2 = FreeCAD.Vector(2000, 1000, 0)
p3 = FreeCAD.Vector(2500, -1000, 0)
p4 = FreeCAD.Vector(3500, -500, 0)

base_wire = Draft.makeWire([p1, p2, p3, p4])

points1 = base_wire.Points
spline = Draft.makeBSpline(points1)

# Make a wire from the points of a spline
base_spline = Draft.makeBSpline([-p1, -1.3*p2, -1.2*p3, -2.1*p4])

points2 = base_spline.Points
Wire = Draft.makeWire(points2)
Arrow-left.svg Draft Edit Improved.svg Modifica evoluta Pagina precedente:
Pagina successiva: Aggiungi punto Draft AddPoint.svg Arrow-right.svg